Bug 73707 - g77 crashes with -O
g77 crashes with -O
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
1.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
http://www.hut.fi/~vhelin/bug.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-09 02:50 EDT by Ville Helin
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 00:09:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case (12.07 KB, text/plain)
2004-10-03 00:07 EDT, Richard Henderson
no flags Details

  None (edit)
Description Ville Helin 2002-09-09 02:50:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
g77 can't compile a file (gb8414.f, you can get it from the URL) with -O (-O2
and no-optims works!)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. g77 -c -u -g -fpic -I'/n/napa/sys' -fno-f90 -fugly-complex -fno-globals -O
gb8414.f

	

Actual Results:  well, i got an error message and no object file.

Expected Results:  i should have gotten a compiled object file.

Additional info:

the URL has it all, but here's again:

# /usr/bin/g77 -c -u -g -fpic -I'/n/napa/sys' -fno-f90 -fugly-complex
-fno-globals -O gb8414.f
gb8414.f: In subroutine `gb8414':
gb8414.f:419: Internal compiler error in fixup_var_refs_1, at function.c:1964
Please submit a full bug report,
with preprocessed source if appropriate.
See for instructions.

GNU Fortran (GCC 3.2 20020822 (Red Hat Linux Rawhide 3.2-4)) 3.2 20020822 (Red
Hat Linux Rawhide 3.2-4)
Comment 1 Richard Henderson 2004-10-03 00:07:11 EDT
Created attachment 104674 [details]
test case
Comment 2 Richard Henderson 2004-10-03 00:09:34 EDT
Fails through gcc 3.3; fixed in gcc 3.4.

Note You need to log in before you can comment on or make changes to this bug.